SystemOrganization addCategory: 'ConfigurationOfOrbeonBizagiReader'!

Object subclass: #ConfigurationOfOrbeonBizagiReader
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonBizagiReader'!

!ConfigurationOfOrbeonBizagiReader class methodsFor: 'other' stamp: 'BrunoBB 03/24/2015 17:37'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfOrbeonBizagiReader class methodsFor: 'other' stamp: 'BrunoBB 03/24/2015 17:37'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfOrbeonBizagiReader class methodsFor: 'other' stamp: 'BrunoBB 03/24/2015 17:37'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfOrbeonBizagiReader class methodsFor: 'other' stamp: 'BrunoBB 03/24/2015 17:37'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfOrbeonBizagiReader class methodsFor: 'other' stamp: 'BrunoBB 03/24/2015 17:37'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfOrbeonBizagiReader class methodsFor: 'other' stamp: 'BrunoBB 03/24/2015 17:37'!
project

	^self new project! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 03/26/2015 07:22'!
baseline0046: spec
	<version: '0.046-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec author: 'BrunoBB'.
		spec repository: 'http://ss3.gemstone.com/ss/Orbeon'.
		spec project: 'Orbeon' with: [
			spec repository: 'http://ss3.gemstone.com/ss/Orbeon';
				versionString: #stable;
				className: 'ConfigurationOfOrbeon';
				file: 'ConfigurationOfOrbeon';
				loads: #('ALL').
				].
		spec project: 'OrbeonFormProcess' with: [
			spec repository: 'http://ss3.gemstone.com/ss/Orbeon';
				versionString: #stable;
				className: 'ConfigurationOfOrbeonFormProcess';
				file: 'ConfigurationOfOrbeonFormProcess';
				loads: #('ALL').
				].
		spec 	
			package: 'OrbeonBizagiReader-BrunoBB' with: [spec requires: #('Orbeon' 'OrbeonFormProcess')].
	].! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 04/03/2015 10:22'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.046-baseline'.! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 03/24/2015 17:39'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 03/26/2015 07:22'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.046'.! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 03/26/2015 07:23'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.046'.! !

!ConfigurationOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 04/05/2015 16:07'!
version0046: spec
	<version: '0.046' imports: #('0.046-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'Orbeon' with: '1.103'.
		spec project: 'OrbeonFormProcess' with: '0.670'.

		spec package: 'OrbeonBizagiReader-BrunoBB' with: 'OrbeonBizagiReader-BrunoBB-0.046'.
	]! !
